#ifndef TESTSLOT_H
#define TESTSLOT_H

#include <QtWidgets/QMainWindow>
#include "ui_testslot.h"
#include <QTcpSocket>

class TestSlot : public QMainWindow
{
	Q_OBJECT

public:
	TestSlot(QWidget *parent = 0);
	~TestSlot();

signals:
	void testSignal();
	void error(QAbstractSocket::SocketError socketError);

public slots:
	void testSlot();
	void displayError(QAbstractSocket::SocketError socketError);
private:
	Ui::TestSlotClass ui;
};

#endif // TESTSLOT_H
